Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058775 - Hardcoded path for /usr/bin/net
Summary: Hardcoded path for /usr/bin/net
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 14:04 UTC by Robert Johnsson
Modified: 2016-07-19 20:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:04:48 UTC


Attachments (Terms of Use)

Description Robert Johnsson 2014-01-28 14:04:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):
authconfig-6.1.12-13.el6.x86_64

How reproducible:
Install stock package

Steps to Reproduce:
1. install authconfig
2. install samba to a nondefault location
3. change PATH_WINBIND_NET to reflect new location
4. try to run authconfig


Actual results:
/usr/bin/net not found

Expected results:
use PATH_WINBIND_NET

Additional info:
--- a/authinfo.py	2014-01-28 14:44:47.165797209 +0100
+++ b/authinfo.py	2014-01-28 14:45:11.797167374 +0100
@@ -3712,7 +3712,7 @@
 				# Not needed -- "joining" is meaningless for other
 				# models.
 				return
-			cmd = "/usr/bin/net join %s%s %s%s -U %s" % (
+			cmd = PATH_WINBIND_NET + " join %s%s %s%s -U %s" % (
 				domain and "-w " or "", domain,
 				server and "-S " or "", server,
 				self.joinUser)

Comment 1 Jaroslav Reznik 2015-03-03 15:25:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 20:04:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.